## cutefish-screenshot-0.8-2.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(cutefish-screenshot LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt5 COMPONENTS Core DBus Gui Widgets Quick LinguistTools REQUIRED)

set(PROJECT_SOURCES
    src/main.cpp
    src/screenshotview.cpp
    qml.qrc
)

add_executable(cutefish-screenshot
  ${PROJECT_SOURCES}
)

target_link_libraries(cutefish-screenshot
  PRIVATE
  Qt5::Core
  Qt5::DBus
  Qt5::Gui
  Qt5::Widgets
  Qt5::Quick
)

file(GLOB TS_FILES translations/*.ts)
qt5_create_translation(QM_FILES ${TS_FILES})
add_custom_target(translations DEPENDS ${QM_FILES} SOURCES ${TS_FILES})
add_dependencies(cutefish-screenshot translations)

install(FILES ${QM_FILES} DESTINATION /usr/share/cutefish-screenshot/translations)

install(TARGETS cutefish-screenshot RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

install(FILES
    cutefish-screenshot.desktop
    DESTINATION /usr/share/applications/
    COMPONENT Runtime
)

=== debian/changelog ===
cutefish-screenshot (0.8) UNRELEASED; urgency=low

  * Initial release (CutefishOS)  <support@cutefishos.com>

 -- CutefishOS Packaging Team <support@cutefishos.com>  Sat, 29 Jan 2022 03:20:00 +0800

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=cutefish-screenshot
pkgver=0.8
pkgrel=2
pkgdesc="Screenshot tool for CutefishOS"
arch=('x86_64')
url="https://github.com/cutefishos/screenshot"
license=('GPL')
groups=('cutefish')
depends=('fishui')
makedepends=('extra-cmake-modules' 'ninja' 'qt5-tools')
source=("https://github.com/cutefishos/screenshot/archive/$pkgver/$pkgname-$pkgver.tar.gz"
        'fix-build.patch')
sha512sums=('e664f67987390b7be018102a552d66a87184aa7d8ceedde425e3f0beb7b952ce66d4b9fe10031816e0cf222d7755469bda78ecb112c68a74e719aef3f11f3050'
            'a44cb33d8f2f40a3e8f20464578b59c8405851668ce1f1d32f3503e7e6ba984ec8ecef4021393593ce68988b355c7fda7ec9c65f582e76ce74715db49d6d3cc9')

prepare() {
  cd screenshot-$pkgver
  patch -Np1 -i ../fix-build.patch
}

build() {
  cd screenshot-$pkgver

  cmake -DCMAKE_INSTALL_PREFIX=/usr .
  make
}

package() {
  cd screenshot-$pkgver
  make DESTDIR="$pkgdir" install
}

=== debian/control ===
Source: cutefish-screenshot
Section: devel
Priority: optional
Maintainer: CutefishOS <cutefishos@foxmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.0
Homepage: https://cutefishos.com

Package: cutefish-screenshot
Architecture: any
Depends: qml-module-qtquick-controls2,
         qml-module-qtquick2,
         qml-module-qtquick-layouts,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-settings,
         qml-module-qtqml,
         qml-module-qtquick-window2,
         qml-module-qtquick-shapes,
         qml-module-qtquick-dialogs,
         ${misc:Depends},
         ${shlibs:Depends}
Description: CutefishOS Screenshot
